<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- *************************************************************************************************
		Availability Trend Graph
	*************************************************************************************************** -->
	<xsl:template name="averageAvailabilityGraphForHostGroup" match="element[@name='averageAvailabilityGraphForHostGroup']">
		<fo:block space-after="1cm"/>
		<xsl:call-template name="element-title"/>
			<xsl:choose>
				<xsl:when test="empty">
					<fo:block>No hostgroup summary data found for report period.</fo:block>
				</xsl:when>
				<xsl:otherwise>		
					<xsl:for-each select="charts/chart">
						<xsl:call-template name="chart"/>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		<fo:block></fo:block>		
	</xsl:template>
</xsl:stylesheet>
